/***************************************************************
 * Name:      wx015App.cpp
 * Purpose:   Code for Application Class
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2025-01-01
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#ifdef WX_PRECOMP
#include "wx_pch.h"
#endif

#include "wx015App.h"
#include "wx015Main.h"

IMPLEMENT_APP(wx015App);

bool wx015App::OnInit()
{
    wxImage::AddHandler(new wxPNGHandler); // Trabajar con imágenes png
    wx015Frame* frame = new wx015Frame(0L, _("wxWidgets Ejemplo 15"));
    frame->SetIcon(wxICON(aaaa)); // To Set App Icon
    frame->Show();

    return true;
}
